version: '2.4'
networks:
  docker-vmbr100:
    external: true
services:
  dnsmasq-resolver-master:
    container_name: dnsmasq-resolver-master
    image: registry.gitlab.com/shackspace/docker-images/dnsmasq-resolver:latest
    cap_add:
      - NET_ADMIN
    cpu_count: 2
    mem_limit: 512m
    restart: always
    dns: 127.0.0.1
    healthcheck:
      test: ["CMD", "nslookup", "shackspace.de", "127.0.0.1"]
      interval: 30s
      timeout: 5s
      retries: 3
    networks:
      docker-vmbr100:
        ipv4_address: 10.42.14.20
    environment:
      - HTTP_USER=admin
      - UCARP_INTERFACE=eth0
      - UCARP_ENABLE=true
      - UCARP_SOURCEADDRESS=10.42.14.20
      - UCARP_VIRTUALADDRESS=10.42.0.100
      - UCARP_ADVBASE=1
      - UCARP_ADVSKEW=3
      - UCARP_VIRTUALPREFIX=20
      - UCARP_VHID=2
      - UCARP_PASS="dnsmasq"
      - UCARP_UPSCRIPT=/etc/ucarp/vip-up-default.sh
      - UCARP_DOWNSCRIPT=/etc/ucarp/vip-down-default.sh
      - UCARP_OPTS=--shutdown
      # passwort is set in docker-compose.secrets.yml
      #- HTTP_PASS=bar

